#pragma once
#include "afxwin.h"


// CDialogConfigTab1 對話方塊

class CDialogConfigTab1 : public CDialog
{
	DECLARE_DYNAMIC(CDialogConfigTab1)

public:
	CDialogConfigTab1(CWnd* pParent = NULL);   // 標準建構函式
	virtual ~CDialogConfigTab1();

// 對話方塊資料
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支援

	DECLARE_MESSAGE_MAP()

	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

public:
	CEdit m_CEdit_BIOS_Ver;
	CEdit m_CEdit_MCUversion;
	CEdit m_CEdit_Ignition;
	CEdit m_CEdit_SupplyVoltage;
	CEdit m_CEdit_PowerType;
	CEdit m_CEdit_StartupShutdown;
	CComboBox m_CComboBox_StartupShutdownOption;

	void fnGetMCUVersion();
	void fnGetIgnitionStatus();
	void fnGetSupplyVoltage();
	void fnGetPowerType();
	void fnGetStartupShutdownOption();

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();

public:
	BOOL m_isDoCommand;
	void DoCommand();
	unsigned int m_nStep;
	void ResetDoCommand();
};
